Subject: Re: [PATCH] [POWERPC] bootwrapper: Allow specifying of image physical offset

From: Geoff Levand <[email-masked]>
Date: Fri, 07 Mar 2008 17:44:19 -0800

On 03/07/2008 08:55 AM, Kumar Gala wrote:
> Normally we assume kernel images will be loaded at offset 0. However
> there are situations, like when the kernel itself is running at a non-zero
> physical address, that we don't want to load it at 0.
> 
> Allow the wrapper to take an offset.  We use this when building u-boot images.
> 
> Signed-off-by: Kumar Gala <[email-masked]>
> ---
>  arch/powerpc/boot/Makefile |    7 +++++++
>  arch/powerpc/boot/wrapper  |   12 ++++++++++--
>  2 files changed, 17 insertions(+), 2 deletions(-)
> 
> diff --git a/arch/powerpc/boot/Makefile b/arch/powerpc/boot/Makefile
> index f43dd6e..1b4bfc6 100644
> --- a/arch/powerpc/boot/Makefile
> +++ b/arch/powerpc/boot/Makefile
> @@ -35,6 +35,12 @@ endif
> 
>  BOOTCFLAGS	+= -I$(obj) -I$(srctree)/$(obj) -I$(srctree)/$(src)/libfdt
> 
> +ifdef CONFIG_MEMORY_START
> +MEMBASE=$(CONFIG_MEMORY_START)

We have the powerpc config option CONFIG_KERNEL_START.  I'm
wondering  how this CONFIG_MEMORY_START is different.  I just
did a quick search, and it seems that CONFIG_MEMORY_START is
only defined for the renesas arch's.

-Geoff